Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 51)
@@ -50,21 +50,31 @@
         private static SystemMaster m_systemMaster = new SystemMaster();
 
         /// <summary>
-        /// ログインユーザーデータ
+        /// ログインユーザー担当者データ
         /// </summary>
         private static PersonInChargeMaster m_LoginUserData = new PersonInChargeMaster();
 
         /// <summary>
-        /// システム起動チェック処理クラス
+        /// ログインユーザー参照部署データ
         /// </summary>
-        private static ClsSystemOnceExecute m_CheckProc = null;
-        
+        private static List<PersonDepartmentMaster> m_LoginUserDepartment = new List<PersonDepartmentMaster>();
+
         /// <summary>
-        /// 建築工事費の構成
+        /// ログインユーザーセキュリティ区分
         /// </summary>
-        //private static Dictionary<int, string> m_StructureTypeName = new Dictionary<int, string>();
+        private static SecurityMaster m_LoginUserSecurity = new SecurityMaster();
 
         /// <summary>
+        /// ログインユーザー処理起動区分
+        /// </summary>
+        private static List<ProcessExcute> m_LoginUserProcExe = new List<ProcessExcute>();
+
+        /// <summary>
+        /// システム初回起動チェック処理クラス
+        /// </summary>
+        private static ClsSystemOnceExecute m_CheckProc = null;
+        
+        /// <summary>
         /// 製品ファイルバージョン格納エリア
         /// </summary>
         private static FileVersionInfo m_ProductVersionInfo = FileVersionInfo.GetVersionInfo(System.Reflection.Assembly.GetExecutingAssembly().Location);
@@ -103,7 +113,7 @@
         }
 
         /// <summary>
-        /// ログインユーザーデータ
+        /// ログインユーザー担当者データ
         /// </summary>
         public static PersonInChargeMaster LoginUserData
         {
@@ -112,15 +122,33 @@
         }
 
         /// <summary>
-        /// 構成マスタ（大項目マスタ）
+        /// ログインユーザー参照部署データ
         /// </summary>
-        //public static Dictionary<int, string> StructureTypeName
-        //{
-        //    get { return m_StructureTypeName; }
-        //    set { m_StructureTypeName = value; }
-        //}
+        public static List<PersonDepartmentMaster> LoginUserDepartment
+        {
+            get { return m_LoginUserDepartment; }
+            set { m_LoginUserDepartment = value; }
+        }
 
         /// <summary>
+        /// ログインユーザーセキュリティ区分
+        /// </summary>
+        public static SecurityMaster LoginUserSecurity
+        {
+            get { return m_LoginUserSecurity; }
+            set { m_LoginUserSecurity = value; }
+        }
+
+        /// <summary>
+        /// ログインユーザー処理起動区分
+        /// </summary>
+        public static List<ProcessExcute> LoginUserProcExe
+        {
+            get { return m_LoginUserProcExe; }
+            set { m_LoginUserProcExe = value; }
+        }
+
+        /// <summary>
         /// 製品ファイルバージョン格納エリア
         /// </summary>
         public static FileVersionInfo ProductVersionInfo
@@ -135,10 +163,10 @@
         {
             get { return m_CheckProc; }
         }
+
         #endregion
 
         #region 初期化
-
         /// <summary>
         /// 初期化
         /// </summary>
@@ -379,6 +407,42 @@
         }
         #endregion
 
+        #region 今の年号を取得する
+        /// <summary>
+        /// 今の年号を取得する
+        /// </summary>
+        /// <returns></returns>
+        public static string GetNameOfAnEra(DateTime TargetDate)
+        {
+            try
+            {
+                string strRet = string.Empty;
+
+                CultureInfo culture = new CultureInfo("ja-JP", true);
+                culture.DateTimeFormat.Calendar = new JapaneseCalendar();
+
+                string result = TargetDate.ToString("ggyy年M月d日", culture);
+
+                int strLength = 0;
+                foreach (char c in result)
+                {
+                    if (char.IsNumber(c)) break;
+
+                    strLength++;
+                }
+
+                strRet = result.Substring(0, strLength);
+
+                return strRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region Int値より文字列に変化して指定位置に指定文字を入れる。(工事番号編集)
         /// <summary>
         /// Int値より文字列に変化して指定位置に指定文字を入れる。
@@ -778,10 +842,19 @@
                 int CnvCode = Convert.ToInt32("0041", 16);      // 'A'
                 int LastCode = Convert.ToInt32("005A", 16);     // 'Z'
 
-                // 変換値を加算する
-                CnvCode += num;
+                // 'Z'を超えたら余剰を使って変換する
+                int work = (CnvCode + num);
+                if (work <= LastCode)
+                {
+                    // 変換値を加算する
+                    CnvCode += num;
+                }
+                else
+                {
+                    CnvCode += (work % LastCode);
+                }
                 // 'Z'を超えたら採番しない
-                if (CnvCode > LastCode) return string.Empty;
+                //if (CnvCode > LastCode) return string.Empty;
 
                 // 数値(文字コード) -> 文字
                 char c = Convert.ToChar(CnvCode);
@@ -945,8 +1018,59 @@
             }
         }
         #endregion
+
+        #region 補色を取得する
+        /// <summary>
+        /// 補色を取得する
+        /// </summary>
+        /// <param name="color"></param>
+        /// <returns></returns>
+        public static Color GetComplementaryColor(Color color)
+        {
+            try
+            {
+                byte r = (byte)~color.R;
+                byte g = (byte)~color.G;
+                byte b = (byte)~color.B;
+
+                return Color.FromArgb(r, g, b);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", GetMethodName(), ex.Message);
+                return color;
+            }
+        }
         #endregion
 
+        #region 指定桁数の数値最大値を返す
+        /// <summary>
+        /// 指定桁数の数値最大値を返す
+        /// </summary>
+        /// <param name="NumLen"></param>
+        /// <returns></returns>
+        public static int CreateMaxNumeric(int NumLen)
+        {
+            try 
+            {
+                string strNum = string.Empty;
+                for (int i = 0; i < NumLen; i++)
+                {
+                    strNum += "9";
+                }
+
+                return cnvInt(strNum);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #endregion
+
         #region データチェックメソッド
         #region ディレクトリの存在チェック
         /// <summary>
@@ -1236,9 +1360,9 @@
         }
         #endregion
 
-        #region セルが空かどうかをチェックする
+        #region 対象が空かどうかをチェックする
         /// <summary>
-        /// セルが空かどうかをチェックする
+        /// 対象が空かどうかをチェックする
         /// </summary>
         /// <param name="objCell"></param>
         /// <param name="iColumn"></param>
@@ -1943,9 +2067,9 @@
         }
         #endregion
 
-        #region 経過時間を工数で返す
+        #region 経過日数を工数で返す
         /// <summary>
-        /// 経過時間を工数で返す
+        /// 経過日数を工数で返す
         /// </summary>
         /// <param name="StartDate"></param>
         /// <param name="CompDate"></param>
@@ -1954,11 +2078,15 @@
         {
             // 差分計算
             TimeSpan DiffDate = CompDate - StartDate;
+            
             // 当日までなので+1日する
             TimeSpan wrkts = new TimeSpan(1, 0, 0, 0);
             DiffDate = DiffDate + wrkts;
+
             // 工数の最小単位で割って１０分の１にする
-            return (((double)DiffDate.Days) / CommonDefine.s_ManHourUnitDays) / 10;
+            //return (((double)DiffDate.Days) / CommonDefine.s_ManHourUnitDays) / 10;
+            // 日数から月数へ変換する
+            return ClsCalendar.cnvMonthFromDays(DiffDate.Days);
         }
         #endregion
 
@@ -2152,8 +2280,255 @@
         }
         #endregion
 
+        #region 予算書・台帳給与金額計算処理
+        /// <summary>
+        /// 予算書・台帳給与金額計算処理
+        /// </summary>
+        public static void CalcPayValueData(double MonthryCost, double OrdersPrice, int workingCount,
+                                            ref double ExecutionAmount, ref double AmountConfigRate,
+                                            bool bSalaryCorrection = true)
+        {
+            try
+            {
+                // 受注金額が0の場合は1として計算する
+                if (OrdersPrice == 0) OrdersPrice = 1;
+
+                // 日当計算
+                double DairySalary =0;
+                if (bSalaryCorrection)
+                    DairySalary = (MonthryCost * CommonDefine.s_SalaryCorrection) / CommonDefine.s_ManHourUnitMonth;
+                else
+                    DairySalary = MonthryCost / CommonDefine.s_ManHourUnitMonth;
+
+                // 給与支払総額
+                int iInput = CommonMotions.cnvRound(DairySalary * workingCount);
+                
+                // 実行金額に給与支払総額をセットする
+                ExecutionAmount = iInput;
+                
+                // 金額構成率計算
+                AmountConfigRate = (iInput / OrdersPrice) * 100.0;
+                
+                // 構成率が範囲外の場合は0にする
+                if (AmountConfigRate < -999.00 || 999.00 < AmountConfigRate) AmountConfigRate = 0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
+        #region 給与取得ＳＱＬ作成処理
+        /// <summary>
+        /// 給与取得ＳＱＬ作成処理
+        /// </summary>
+        private static string GetSalaryValue(int PersonCode, DateTime GetData)
+        {
+            try
+            {
+                // SQL作成
+                string strSQL = "SELECT A.MONTHLYSALARY, A.YEARSALARY, A.PERSONCODE, A.STARTDATE FROM PERSONSALARYMASTER A,";
+                strSQL += " (SELECT PERSONCODE, MAX(STARTDATE) sDate FROM PERSONSALARYMASTER";
+                strSQL += string.Format(" WHERE PERSONCODE = {0}", PersonCode);
+                strSQL += string.Format(" AND DATE(NOW()) <= STR_TO_DATE('{0}', '%Y/%m/%d)", GetData.ToShortDateString());
+                strSQL += " GROUP BY PERSONCODE) B";
+                strSQL += " WHERE A.PERSONCODE = B.PERSONCODE AND A.STARTDATE = B.sDate";
+
+                return strSQL;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 担当者給与金額取得処理(単独処理)
+        /// <summary>
+        /// 担当者給与金額取得処理（単独処理）
+        /// </summary>
+        public static bool GetSalaryValue(int PersonCode, ref double MonthryCost, ref double YearsCost, DateTime GetData)
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // 初期値セット
+                MonthryCost = 0;
+                YearsCost = 0;
+
+                // データ取得
+                string strSQL = GetSalaryValue(PersonCode, GetData);
+                ArrayList arList = new ArrayList();
+                if (!PersonDB.ExecuteReader(strSQL, ref arList)) return false;
+                object[] objGetData = (object[])arList[0];
+
+                // 取得値セット
+                MonthryCost = CommonMotions.cnvDouble(objGetData[0]);
+                YearsCost = CommonMotions.cnvDouble(objGetData[1]);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者給与金額取得処理（セッションコネクト別）
+        /// <summary>
+        /// 担当者給与金額取得処理（セッションコネクト別）
+        /// </summary>
+        public static bool GetSalaryValue(IOMPersonInCharge PersonDB, int PersonCode,
+                                            ref double MonthryCost, ref double YearsCost, DateTime GetData)
+        {
+            try
+            {
+                // 初期値セット
+                MonthryCost = 0;
+                YearsCost = 0;
+
+                // データ取得
+                string strSQL = GetSalaryValue(PersonCode, GetData);
+                ArrayList arList = new ArrayList();
+                if (!PersonDB.ExecuteReader(strSQL, ref arList, false)) return false;
+                object[] objGetData = (object[])arList[0];
+
+                // 取得値セット
+                MonthryCost = CommonMotions.cnvDouble(objGetData[0]);
+                YearsCost = CommonMotions.cnvDouble(objGetData[1]);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 与えられたキー値より機密管理区分データを取得する
+        /// <summary>
+        /// 与えられたキー値より機密管理区分データを取得する
+        /// </summary>
+        /// <param name="KeyValue"></param>
+        /// <returns></returns>
+        public static KeyValuePair<int, string> SearchSecurityRankList(int KeyValue)
+        {
+            KeyValuePair<int, string> RetPairvalue = new KeyValuePair<int, string>(0, string.Empty);
+            try
+            {
+                for (int i = 0; i < CommonDefine.SecurityRankList.Count; i++)
+                {
+                    if (CommonDefine.SecurityRankList[i].Key == KeyValue)
+                    {
+                        RetPairvalue = CommonDefine.SecurityRankList[i];
+                    }
+                }
+
+                return RetPairvalue;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return RetPairvalue;
+            }
+        }
+        #endregion
+
+        #region 与えられたキー値より機密区分範囲データを取得する
+        /// <summary>
+        /// 与えられたキー値より機密区分範囲データを取得する
+        /// </summary>
+        /// <param name="KeyValue"></param>
+        /// <returns></returns>
+        public static KeyValuePair<int, string> SearchSecurityRangeList(int KeyValue)
+        {
+            KeyValuePair<int, string> RetPairvalue = new KeyValuePair<int, string>(0, string.Empty);
+            try
+            {
+                for (int i = 0; i < CommonDefine.SecurityRangeList.Count; i++)
+                {
+                    if (CommonDefine.SecurityRangeList[i].Key == KeyValue)
+                    {
+                        RetPairvalue = CommonDefine.SecurityRangeList[i];
+                    }
+                }
+
+                return RetPairvalue;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return RetPairvalue;
+            }
+        }
+        #endregion
+
+        #region 登録完了メッセージ表示
+        /// <summary>
+        /// 登録完了メッセージ表示
+        /// </summary>
+        /// <param name="strTitle"></param>
+        public static void EntryEndMessage(string strTitle)
+        {
+            try
+            {
+                string strMes = string.Format("{0} 登録完了しました。", strTitle);
+
+                MessageBox.Show(strMes, "登録完了メッセージ", MessageBoxButtons.OK, MessageBoxIcon.Information);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        public static void EntryEndMessage(string strTitle, string strTitle2)
+        {
+            try
+            {
+                string strMes = string.Format("{0} {1}完了しました。", strTitle, strTitle2);
+                string strGuidance = string.Format("{0}完了メッセージ", strTitle2);
+
+                MessageBox.Show(strMes, strGuidance, MessageBoxButtons.OK, MessageBoxIcon.Information);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除完了メッセージ表示
+        /// <summary>
+        /// 削除完了メッセージ表示
+        /// </summary>
+        /// <param name="strTitle"></param>
+        public static void RemoveEndMessage(string strTitle)
+        {
+            try
+            {
+                string strMes = string.Format("{0} 削除完了しました。", strTitle);
+
+                MessageBox.Show(strMes, "削除完了メッセージ", MessageBoxButtons.OK, MessageBoxIcon.Information);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #endregion
+
         #region Excel向け操作メソッド
         #region オブジェクト開放
         /// <summary>
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 51)
@@ -0,0 +1,24 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.Common
+{
+    /// <summary>
+    /// システムバージョン定義クラス
+    /// </summary>
+    public static class CommonVersion
+    {
+        /// <summary>
+        /// 本体バージョン
+        /// </summary>
+        public static int s_SystemVersion = 3;
+
+        /// <summary>
+        /// コピー・環境バージョン
+        /// </summary>
+        public static int s_UpDateCopyVersion = 1;
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedExcel.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedExcel.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedExcel.cs	(revision 51)
@@ -32,7 +32,7 @@
         /// <summary>
         /// EXCEL拡張子
         /// </summary>
-        private readonly string[] s_ExcelExtension = { ".xls", ".xlsx", ".xlsx", ".xlsx" };
+        private readonly string[] s_ExcelExtension = { ".xls", ".xlsx", ".xlsx", ".xlsx", ".xlsx" };
 
         /// <summary>
         /// エクセルバージョン
@@ -39,10 +39,11 @@
         /// </summary>
         private enum ExcelVersion
         {
-            Excel97_2003,
+            Excel97_2003 = 0,
             Excel2007,
             Excel2010,
             Excel2013,
+            Excel2016,
         }
         #endregion
 
@@ -138,6 +139,11 @@
                     // Office2013インストール済みの場合
                     m_ExcelVersion = (int)ExcelVersion.Excel2013;
                 }
+                else if ("16.0".Equals(version))
+                {
+                    // Office2016インストール済みの場合
+                    m_ExcelVersion = (int)ExcelVersion.Excel2016;
+                }
             }
             catch (Exception ex)
             {
@@ -321,7 +327,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("配列セットシステムエラー：{0}:{1}:{2}", ex.Message, FromColum, ToColum);
+                logger.ErrorFormat("配列セットシステムエラー：{0}：{1}：{2}", ex.Message, FromColum, ToColum);
             }
             finally
             {
@@ -359,7 +365,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}:{1}:{2}:{3}", ex.Message, FromColum, ToColum, strData);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}：{3}", ex.Message, FromColum, ToColum, strData);
             }
             finally
             {
@@ -475,7 +481,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}:{1}:{2}", ex.Message, ToColum);
+                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message, ToColum);
             }
             finally
             {
@@ -511,7 +517,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}:{1}:{2}", ex.Message, ToColum);
+                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message, ToColum);
             }
             finally
             {
Index: branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Office/UsedWord.cs	(revision 51)
@@ -35,7 +35,7 @@
         /// <summary>
         /// WORD拡張子
         /// </summary>
-        private readonly string[] s_WordExtension = { ".doc", ".docx", ".docx", ".docx" };
+        private readonly string[] s_WordExtension = { ".doc", ".docx", ".docx", ".docx", ".docx" };
 
         /// <summary>
         /// ワードバージョン
@@ -42,10 +42,11 @@
         /// </summary>
         private enum WordVersion
         {
-            Word97_2003,
+            Word97_2003 = 0,
             Word2007,
             Word2010,
             Word2013,
+            Word2016,
         }
 
         /// <summary>
@@ -175,7 +176,11 @@
                     // Office2013インストール済みの場合
                     m_WordVersion = (int)WordVersion.Word2013;
                 }
-                if (m_WordVersion == 0) return;
+                else if ("16.0".Equals(version))
+                {
+                    // Office2016インストール済みの場合
+                    m_WordVersion = (int)WordVersion.Word2016;
+                }
             }
             catch (Exception ex)
             {
@@ -570,8 +575,7 @@
                 if (!m_SaveSwitch) return;
 
                 // パス作成
-                //string strFilename = @strFilePath + s_WordExtension[m_WordVersion];
-                string strFilename = @strFilePath + s_WordExtension[0];
+                string strFilename = @strFilePath + s_WordExtension[m_WordVersion];
 
                 object[] Parameters = new object[16];
                 Parameters[0] = strFilename;                    // FileName
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 51)
@@ -39,7 +39,7 @@
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
-                string strSQL = ApprDB.CreatePrimarykeyString(Rec.ConstructionCode, Rec.ApprovalCode, Rec.SeqNo);
+                string strSQL = ApprDB.CreatePrimarykeyString(Rec.ConstructionCode, Rec.ApprovalCode, Rec.OrderNo, Rec.SeqNo);
                 List<ProcessApproval> DataList = new List<ProcessApproval>();
                 // データがあるかをチェックする
                 if (!ApprDB.SelectAction(strSQL, ref DataList)) return false;
@@ -76,20 +76,27 @@
         /// <param name="ApprovalCode"></param>
         /// <param name="Status"></param>
         /// <returns></returns>
-        public static bool SetPrimaryRecStatus(int ConstructionCode, int ApprovalCode, int Status)
+        public static bool SetPrimaryRecStatus(int ConstructionCode, int ApprovalCode, int OrderNO, int Status)
         {
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
                 // 申請レコードを取得する
-                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, 1);
-                ProcessApproval DataRec = new ProcessApproval();
-                // データがあるかをチェックする
-                if (!ApprDB.SelectAction(strSQL, ref DataRec)) return false;
+                //string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNO, 1);
+                //ProcessApproval DataRec = new ProcessApproval();
+                //// データがあるかをチェックする
+                //if (!ApprDB.SelectAction(strSQL, ref DataRec)) return false;
 
                 // レコードのステータスを変える
-                DataRec.ApprovalStatus = Status;
-                if (!ApprDB.UpdateAction(strSQL, DataRec)) return false;
+                //DataRec.ApprovalStatus = Status;
+                //if (!ApprDB.UpdateAction(strSQL, DataRec)) return false;
+                if (!ApprDB.UpdateFeild(ConstructionCode,
+                                        (int)IOProcessApproval.ColumnName.ApprovalStatus,
+                                        Status,
+                                        true,
+                                        ApprovalCode,
+                                        OrderNO,
+                                        1)) return false;
 
                 return true;
             }
@@ -112,7 +119,7 @@
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPetition(int ConstructionCode, int ApprovalCode)
+        public static bool CheckPetition(int ConstructionCode, int ApprovalCode, int ApprovalCount)
         {
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
@@ -119,7 +126,7 @@
             {
                 bool bPetition = false;
                 // 申請データ取得
-                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, 1);
+                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount, 1);
                 List<ProcessApproval> PetitionList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
                 // 申請データが無い場合
@@ -146,7 +153,7 @@
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApproval(int ConstructionCode, int ApprovalCode)
+        public static bool CheckApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
         {
             IOMApproval mApprDB = new IOMApproval();
             IOProcessApproval ApprDB = new IOProcessApproval();
@@ -153,7 +160,7 @@
             try
             {
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, 1);
+                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, 1);
                 ProcessApproval DataRec = new ProcessApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -181,7 +188,7 @@
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApprovalData(int ConstructionCode, int ApprovalCode)
+        public static bool CheckApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mApprDB = new IOMApproval();
@@ -193,10 +200,10 @@
                 string strSQL = cbiDB.CreatePrimarykeyString(ConstructionCode);
                 ConstructionBaseInfo cbiData = new ConstructionBaseInfo();
                 if (!cbiDB.SelectAction(strSQL, ref cbiData)) return false;
-                int DepartmentCode = GetFromConstructionAndApprovalTheDepartment(ConstructionCode, ApprovalCode);
+                int DepartmentCode = GetFromConstructionAndApprovalTheDepartment(ConstructionCode, ApprovalCode, OrderNo);
 
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode);
+                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo);
                 strData += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> DataList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strData, ref DataList)) return false;
@@ -365,7 +372,7 @@
         /// </summary>
         /// <param name="PersonCode"></param>
         /// <returns></returns>
-        public static int GetFromConstructionAndApprovalTheDepartment(int ConstructionCode, int ApprovalCode)
+        public static int GetFromConstructionAndApprovalTheDepartment(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOProcessApproval ApprovalDB = new IOProcessApproval();
@@ -372,8 +379,7 @@
             try
             {
                 // 管理担当者コードを取得する
-                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode);
-                strSQL += " AND SEQNO = 1";
+                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, 1);
                 ProcessApproval ApprovalRec = new ProcessApproval();
                 int CurrentPersonCode = 0;
                 if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
@@ -480,13 +486,13 @@
         /// 該当工事より承認数取得する
         /// </summary>
         /// <returns></returns>
-        public static int GetApprovalDataCount(int ConstructionCode, int ApprovalCode)
+        public static int GetApprovalDataCount(int ConstructionCode, int ApprovalCode, int ApprovalCount)
         {
             IOProcessApproval paDB = new IOProcessApproval();
             try
             {
                 // 承認データ取得
-                string strSQL = paDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode);
+                string strSQL = paDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount);
                 strSQL += " And SeqNo != 1 And ApprovalStatus = 2";
                 List<ProcessApproval> ApprovalList = new List<ProcessApproval>();
                 if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
